Method: projects.capabilityConfigs.list

Lists CapabilityConfigs that are direct children of the specified organization, folder or project resource.

HTTP request

GET https://cloudresourcemanager.googleapis.com/v3/{parent=projects/*}/capabilityConfigs

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The name of the parent resource whose CapabilityConfigs are being listed. Format: organizations/{organizationId} or folders/{folder_id}

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of CapabilityConfigs to return in the response. The service may return fewer CapabilityConfigs than requested. If unspecified, at most 100 CapabilityConfigs will be returned. The maximum value is 100; values above 100 will be coerced to 100.

pageToken

string

Optional. A pagination token received from a previous call to capabilityConfigs.list that indicates from where listing should continue. Provide this to retrieve the subsequent page.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of ListCapabilityConfigsResponse.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/cloud-platform.read-only

For more information, see the Authentication Overview.